Intel® X86 Encoder Decoder: xed_operand_storage_s Struct Reference

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
xed_operand_storage_s Struct Reference

`#include <xed-operand-storage.h>`

## Data Fields
xed_uint8_t | absbr
xed_uint8_t | agen
xed_uint8_t | amd3dnow
xed_uint8_t | asz
xed_uint16_t | base0
xed_uint16_t | base1
xed_uint8_t | bcast
xed_uint8_t | bcrc
xed_uint8_t | brdisp_width
xed_uint8_t | cet
xed_uint8_t | chip
xed_uint8_t | cldemote
xed_uint8_t | default_seg
xed_uint8_t | df32
xed_uint8_t | df64
xed_uint8_t | dfv
xed_uint64_t | disp
xed_uint8_t | disp_width
xed_uint8_t | dummy
xed_uint8_t | easz
xed_uint16_t | element_size
xed_uint8_t | enc_delete
xed_uint8_t | encode_force
xed_uint8_t | encoder_preferred
xed_uint8_t | eosz
xed_uint8_t | error
xed_uint8_t | esrc
xed_uint8_t | evvspace
xed_uint8_t | first_f2f3
xed_uint8_t | has_egpr
xed_uint8_t | has_modrm
xed_uint8_t | has_sib
xed_uint8_t | hint
xed_uint8_t | ibhf
xed_uint16_t | iclass
xed_uint8_t | ild_f2
xed_uint8_t | ild_f3
xed_uint8_t | ild_seg
xed_uint8_t | imm0
xed_uint8_t | imm0signed
xed_uint8_t | imm1
xed_uint8_t | imm1_bytes
xed_uint8_t | imm_width
xed_uint16_t | index
xed_uint8_t | last_f2f3
xed_uint8_t | llrc
xed_uint8_t | lock
xed_uint8_t | lzcnt
xed_uint8_t | map
xed_uint8_t | mask
xed_uint8_t | max_bytes
xed_uint8_t | mem0
xed_uint8_t | mem1
xed_uint16_t | mem_width
xed_uint8_t | mod
xed_uint8_t | mode
xed_uint8_t | mode_first_prefix
xed_uint8_t | mode_short_ud0
xed_uint8_t | modep5
xed_uint8_t | modrm_byte
xed_uint8_t | mpxmode
xed_uint8_t | must_use_evex
xed_uint8_t | nd
xed_uint8_t | need_memdisp
xed_uint8_t | need_sib
xed_uint8_t | needrex
xed_uint8_t | nelem
xed_uint8_t | nf
xed_uint8_t | no_apx
xed_uint8_t | no_evex
xed_uint8_t | no_vex
xed_uint8_t | nominal_opcode
xed_uint8_t | norex
xed_uint8_t | norex2
xed_uint8_t | nprefixes
xed_uint8_t | nrexes
xed_uint8_t | nseg_prefixes
xed_uint8_t | osz
xed_uint8_t | out_of_bytes
xed_uint16_t | outreg
xed_uint8_t | p4
xed_uint8_t | pos_disp
xed_uint8_t | pos_imm
xed_uint8_t | pos_imm1
xed_uint8_t | pos_modrm
xed_uint8_t | pos_nominal_opcode
xed_uint8_t | pos_sib
xed_uint8_t | prefetchit
xed_uint8_t | prefetchrst
xed_uint8_t | prefix66
xed_uint8_t | ptr
xed_uint8_t | realmode
xed_uint8_t | reg
xed_uint16_t | reg0
xed_uint16_t | reg1
xed_uint16_t | reg2
xed_uint16_t | reg3
xed_uint16_t | reg4
xed_uint16_t | reg5
xed_uint16_t | reg6
xed_uint16_t | reg7
xed_uint16_t | reg8
xed_uint16_t | reg9
xed_uint8_t | relbr
xed_uint8_t | rep
xed_uint8_t | rex
xed_uint8_t | rex2
xed_uint8_t | rexb
xed_uint8_t | rexb4
xed_uint8_t | rexr
xed_uint8_t | rexr4
xed_uint8_t | rexw
xed_uint8_t | rexx
xed_uint8_t | rexx4
xed_uint8_t | rm
xed_uint8_t | roundc
xed_uint8_t | sae
xed_uint8_t | scale
xed_uint8_t | scc
xed_uint16_t | seg0
xed_uint16_t | seg1
xed_uint8_t | seg_ovd
xed_uint8_t | sibbase
xed_uint8_t | sibindex
xed_uint8_t | sibscale
xed_uint8_t | skip_osz
xed_uint8_t | smode
xed_uint8_t | srm
xed_uint8_t | tzcnt
xed_uint8_t | ubit
xed_uint64_t | uimm0
xed_uint8_t | uimm1
xed_uint8_t | using_default_segment0
xed_uint8_t | using_default_segment1
xed_uint8_t | vex_c4
xed_uint8_t | vex_prefix
xed_uint8_t | vexdest210
xed_uint8_t | vexdest3
xed_uint8_t | vexdest4
xed_uint8_t | vexvalid
xed_uint8_t | vl
xed_uint8_t | vl_ign
xed_uint8_t | wbnoinvd
xed_uint8_t | zeroing

## Field Documentation

## ◆ absbr

xed_uint8_t absbr

## ◆ agen

xed_uint8_t agen

## ◆ amd3dnow

xed_uint8_t amd3dnow

## ◆ asz

xed_uint8_t asz

## ◆ base0

xed_uint16_t base0

## ◆ base1

xed_uint16_t base1

## ◆ bcast

xed_uint8_t bcast

## ◆ bcrc

xed_uint8_t bcrc

## ◆ brdisp_width

xed_uint8_t brdisp_width

## ◆ cet

xed_uint8_t cet

## ◆ chip

xed_uint8_t chip

## ◆ cldemote

xed_uint8_t cldemote

## ◆ default_seg

xed_uint8_t default_seg

## ◆ df32

xed_uint8_t df32

## ◆ df64

xed_uint8_t df64

## ◆ dfv

xed_uint8_t dfv

## ◆ disp

xed_uint64_t disp

## ◆ disp_width

xed_uint8_t disp_width

## ◆ dummy

xed_uint8_t dummy

## ◆ easz

xed_uint8_t easz

## ◆ element_size

xed_uint16_t element_size

## ◆ enc_delete

xed_uint8_t enc_delete

## ◆ encode_force

xed_uint8_t encode_force

## ◆ encoder_preferred

xed_uint8_t encoder_preferred

## ◆ eosz

xed_uint8_t eosz

## ◆ error

xed_uint8_t error

## ◆ esrc

xed_uint8_t esrc

## ◆ evvspace

xed_uint8_t evvspace

## ◆ first_f2f3

xed_uint8_t first_f2f3

## ◆ has_egpr

xed_uint8_t has_egpr

## ◆ has_modrm

xed_uint8_t has_modrm

## ◆ has_sib

xed_uint8_t has_sib

## ◆ hint

xed_uint8_t hint

## ◆ ibhf

xed_uint8_t ibhf

## ◆ iclass

xed_uint16_t iclass

## ◆ ild_f2

xed_uint8_t ild_f2

## ◆ ild_f3

xed_uint8_t ild_f3

## ◆ ild_seg

xed_uint8_t ild_seg

## ◆ imm0

xed_uint8_t imm0

## ◆ imm0signed

xed_uint8_t imm0signed

## ◆ imm1

xed_uint8_t imm1

## ◆ imm1_bytes

xed_uint8_t imm1_bytes

## ◆ imm_width

xed_uint8_t imm_width

## ◆ index

xed_uint16_t index

## ◆ last_f2f3

xed_uint8_t last_f2f3

## ◆ llrc

xed_uint8_t llrc

## ◆ lock

xed_uint8_t lock

## ◆ lzcnt

xed_uint8_t lzcnt

## ◆ map

xed_uint8_t map

## ◆ mask

xed_uint8_t mask

## ◆ max_bytes

xed_uint8_t max_bytes

## ◆ mem0

xed_uint8_t mem0

## ◆ mem1

xed_uint8_t mem1

## ◆ mem_width

xed_uint16_t mem_width

## ◆ mod

xed_uint8_t mod

## ◆ mode

xed_uint8_t mode

## ◆ mode_first_prefix

xed_uint8_t mode_first_prefix

## ◆ mode_short_ud0

xed_uint8_t mode_short_ud0

## ◆ modep5

xed_uint8_t modep5

## ◆ modrm_byte

xed_uint8_t modrm_byte

## ◆ mpxmode

xed_uint8_t mpxmode

## ◆ must_use_evex

xed_uint8_t must_use_evex

## ◆ nd

xed_uint8_t nd

## ◆ need_memdisp

xed_uint8_t need_memdisp

## ◆ need_sib

xed_uint8_t need_sib

## ◆ needrex

xed_uint8_t needrex

## ◆ nelem

xed_uint8_t nelem

## ◆ nf

xed_uint8_t nf

## ◆ no_apx

xed_uint8_t no_apx

## ◆ no_evex

xed_uint8_t no_evex

## ◆ no_vex

xed_uint8_t no_vex

## ◆ nominal_opcode

xed_uint8_t nominal_opcode

## ◆ norex

xed_uint8_t norex

## ◆ norex2

xed_uint8_t norex2

## ◆ nprefixes

xed_uint8_t nprefixes

## ◆ nrexes

xed_uint8_t nrexes

## ◆ nseg_prefixes

xed_uint8_t nseg_prefixes

## ◆ osz

xed_uint8_t osz

## ◆ out_of_bytes

xed_uint8_t out_of_bytes

## ◆ outreg

xed_uint16_t outreg

## ◆ p4

xed_uint8_t p4

## ◆ pos_disp

xed_uint8_t pos_disp

## ◆ pos_imm

xed_uint8_t pos_imm

## ◆ pos_imm1

xed_uint8_t pos_imm1

## ◆ pos_modrm

xed_uint8_t pos_modrm

## ◆ pos_nominal_opcode

xed_uint8_t pos_nominal_opcode

## ◆ pos_sib

xed_uint8_t pos_sib

## ◆ prefetchit

xed_uint8_t prefetchit

## ◆ prefetchrst

xed_uint8_t prefetchrst

## ◆ prefix66

xed_uint8_t prefix66

## ◆ ptr

xed_uint8_t ptr

## ◆ realmode

xed_uint8_t realmode

## ◆ reg

xed_uint8_t reg

## ◆ reg0

xed_uint16_t reg0

## ◆ reg1

xed_uint16_t reg1

## ◆ reg2

xed_uint16_t reg2

## ◆ reg3

xed_uint16_t reg3

## ◆ reg4

xed_uint16_t reg4

## ◆ reg5

xed_uint16_t reg5

## ◆ reg6

xed_uint16_t reg6

## ◆ reg7

xed_uint16_t reg7

## ◆ reg8

xed_uint16_t reg8

## ◆ reg9

xed_uint16_t reg9

## ◆ relbr

xed_uint8_t relbr

## ◆ rep

xed_uint8_t rep

## ◆ rex

xed_uint8_t rex

## ◆ rex2

xed_uint8_t rex2

## ◆ rexb

xed_uint8_t rexb

## ◆ rexb4

xed_uint8_t rexb4

## ◆ rexr

xed_uint8_t rexr

## ◆ rexr4

xed_uint8_t rexr4

## ◆ rexw

xed_uint8_t rexw

## ◆ rexx

xed_uint8_t rexx

## ◆ rexx4

xed_uint8_t rexx4

## ◆ rm

xed_uint8_t rm

## ◆ roundc

xed_uint8_t roundc

## ◆ sae

xed_uint8_t sae

## ◆ scale

xed_uint8_t scale

## ◆ scc

xed_uint8_t scc

## ◆ seg0

xed_uint16_t seg0

## ◆ seg1

xed_uint16_t seg1

## ◆ seg_ovd

xed_uint8_t seg_ovd

## ◆ sibbase

xed_uint8_t sibbase

## ◆ sibindex

xed_uint8_t sibindex

## ◆ sibscale

xed_uint8_t sibscale

## ◆ skip_osz

xed_uint8_t skip_osz

## ◆ smode

xed_uint8_t smode

## ◆ srm

xed_uint8_t srm

## ◆ tzcnt

xed_uint8_t tzcnt

## ◆ ubit

xed_uint8_t ubit

## ◆ uimm0

xed_uint64_t uimm0

## ◆ uimm1

xed_uint8_t uimm1

## ◆ using_default_segment0

xed_uint8_t using_default_segment0

## ◆ using_default_segment1

xed_uint8_t using_default_segment1

## ◆ vex_c4

xed_uint8_t vex_c4

## ◆ vex_prefix

xed_uint8_t vex_prefix

## ◆ vexdest210

xed_uint8_t vexdest210

## ◆ vexdest3

xed_uint8_t vexdest3

## ◆ vexdest4

xed_uint8_t vexdest4

## ◆ vexvalid

xed_uint8_t vexvalid

## ◆ vl

xed_uint8_t vl

## ◆ vl_ign

xed_uint8_t vl_ign

## ◆ wbnoinvd

xed_uint8_t wbnoinvd

## ◆ zeroing

xed_uint8_t zeroing

The documentation for this struct was generated from the following file:

- xed-operand-storage.h